Bug 982486 - Path to config file must be relative to the configuration dir
Path to config file must be relative to the configuration dir
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity medium
: GA
: EAP 6.1.1
Assigned To: Russell Dickenson
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 03:27 EDT by Petr Kremensky
Modified: 2014-08-14 11:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11865, Administration and Configuration Guide-6.1-4 Build Date: 09-07-2013 13:52:13 Topic ID: 309-458664 [Specified]
Last Closed: 2013-09-16 16:25:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-07-09 03:27:57 EDT
Title: Start JBoss EAP 6 with an Alternative Configuration

Describe the issue:
We have in documantation this:
"""
You do not need to give the full path, if the configuration file resides in the EAP_HOME/[domain|standalone]/configuration/ directory. 
"""
but in fact you must not enter full path to configuration file, or server boot will end up with IAE exception: 
ERROR [stderr] (main) java.lang.IllegalStateException: JBAS014805: Could not get main file: /home/pkremens/devel/jboss-eap-6.1/docs/examples/configs/standalone-jts.xml. Specified files must be relative to the configuration dir: /home/pkremens/devel/jboss-eap-6.1/standalone/configuration

Suggestions for improvement:
Fix the text to something like "If the configuration file is not located in the EAP_HOME/[domain|standalone]/configuration/ directory, use relative path to configuration dir"

Additional info:
this would be appropriate command to start server with example configuration in this case
jboss-eap-6.1/bin]$ ./standalone.sh --server-config=../../docs/examples/configs/standalone-jts.xml
Comment 1 Misty Stanley-Jones 2013-07-22 19:53:49 EDT
Fixed in revision 480903. Bug status will be changed when this is available for review.
Comment 2 Misty Stanley-Jones 2013-08-29 21:06:47 EDT
Not yet updated.
Comment 4 Petr Kremensky 2013-08-30 04:34:01 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.